: ${XDG_CACHE_HOME:=$HOME/.cache}
: ${XDG_CONFIG_HOME:=$HOME/.config}
: ${XDG_DATA_HOME:=$HOME/.data}
: ${XDG_RUNTIME_DIR:=/run/user/$(id -u)}
export XDG_CACHE_HOME XDG_CONFIG_HOME XDG_DATA_HOME XDG_RUNTIME_DIR

# : ${DBUS_SESSION_BUS_ADDRESS:=$XDG_RUNTIME_DIR/bus}
# export DBUS_SESSION_BUS_ADDRESS

: ${BROWSER:=firefox}
: ${EDITOR:=vim}
: ${PAGER:=less}
: ${VISUAL:=vim}
export BROWSER EDITOR PAGER VISUAL

for x in \
    "/usr/bin" \
    "/usr/local/bin" \
    "$HOME/bin" \
    "$HOME/.local/bin" \
    ; do
    [ -d "$x" ] || continue
    case ":${PATH}:" in
    *":${x}:"*) ;;
    *) PATH="${PATH+${PATH}:}${x}" ;;
    esac
done

